class CardController < ApplicationController
  def list
    @cards = Card.all_sorted
    @html_title = _('Card List')
  end
  def show
    @card = Card.find(params[:id])
    @html_title = _('Card Detail: %{full_name}') % {:full_name => @card.full_name}
  end
  def do_new
    @languages = Language.all_sorted
    @html_title = _('New Card')
  end
  def new
    @card = Card.new
    @card.language = Language.find(:first, :conditions => {:name => GetText.locale.language})
    do_new
  end
  def create
    @card = Card.new(params[:card])
    if @card.save
      redirect_to :action => 'list'
    else
      do_new
      render :action => 'new'
    end
  end
  def do_edit
    @languages = Language.all_sorted
    @html_title = _('Edit Card: %{full_name}') % {:full_name => @card.full_name}
  end
  def edit
    @card = Card.find(params[:id])
    do_edit
  end
  def update
    @card = Card.find(params[:id])
    if @card.update_attributes(params[:card])
      redirect_to :action => 'show', :id => @card.id
    else
      do_edit
      render :action => 'edit'
    end
  end
  def delete
    Card.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
